<div class="primeiroContainer">
  <div class="primeiroInterior">
    <mat-form-field class="datepicker" appearance="outline">
      <mat-label>Mês e ano</mat-label>
      <input matInput [matDatepicker]="dp" [formControl]="data" readonly>
      <mat-datepicker-toggle matSuffix [for]="dp"></mat-datepicker-toggle>
      <mat-datepicker #dp startView="year" (yearSelected)="tratarAnoEscolhido($event)"
        (monthSelected)="tratarMesEscolhido($event, dp)" panelClass="example-month-picker">
      </mat-datepicker>
    </mat-form-field>
  </div>
</div>

<div class="segundoContainer">
  <div class="segundoInterior" *ngFor="let expediente of expedienteMensal">
    <div [ngClass]="{
      'hoje': verificarSeHoje(expediente.data) , 
      'outros': verificarSeHoje(expediente.data) == false
    }">
      <p class="dia">{{formatarData(expediente.data)}}</p>
    </div>
    <div *ngFor="let ponto of expediente.pontos">
      <p class="ponto">{{ponto.tipo}}: {{ponto.horario}}
        <span class="observacoes" *ngIf="ponto.observacoes" [matTooltip]="ponto.observacoes" matTooltipPosition="right">
          !
        </span>
      </p>
    </div>
  </div>
</div>
